summaryrefslogtreecommitdiffstats
path: root/linux/bin/erzeuge_installation/installiere_neo.2
diff options
context:
space:
mode:
authorpascal <pascal@b9310e46-f624-0410-8ea1-cfbb3a30dc96>2009-01-04 03:40:02 +0000
committerpascal <pascal@b9310e46-f624-0410-8ea1-cfbb3a30dc96>2009-01-04 03:40:02 +0000
commitc06f3e3b6de29011f76420665c4bb324f91403a4 (patch)
tree7fabac06464327c68971bf68986125498c86ee14 /linux/bin/erzeuge_installation/installiere_neo.2
parent66d92b2af99664a097ed6b1c6d7ccecf37a59d13 (diff)
Skript stark verändert, sollte nun (hoffentlich – bitte testen!) besser auf anderen Systemen laufen
git-svn-id: https://svn.neo-layout.org@1366 b9310e46-f624-0410-8ea1-cfbb3a30dc96
Diffstat (limited to 'linux/bin/erzeuge_installation/installiere_neo.2')
-rw-r--r--linux/bin/erzeuge_installation/installiere_neo.263
1 files changed, 63 insertions, 0 deletions
diff --git a/linux/bin/erzeuge_installation/installiere_neo.2 b/linux/bin/erzeuge_installation/installiere_neo.2
new file mode 100644
index 0000000..d6b858d
--- /dev/null
+++ b/linux/bin/erzeuge_installation/installiere_neo.2
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+profile_neo() {
+cat <<PROFIL
+
+# NEO:
+PATH=\$PATH:$inst_dir/ # für asdf und uiae
+export PATH # für asdf und uiae
+asdf # mit einem # am Zeilenanfang bleibt QWERTZ das Standardlayout, sonst ist es NEO
+PROFIL
+}
+
+profile_qwertz() {
+cat <<PROFIL
+
+# NEO:
+PATH=\$PATH:$inst_dir/ # für asdf und uiae
+export PATH # für asdf und uiae
+# asdf # mit einem # am Zeilenanfang bleibt QWERTZ das Standardlayout, sonst ist es NEO
+PROFIL
+}
+
+neo_path() {
+cat <<NEO_PATH
+PATH=$PATH:$inst_dir
+export PATH
+echo "Die Belegung wird nun auf NEO geändert…"
+asdf
+NEO_PATH
+}
+
+# *** main program ***
+clear
+echo
+echo " *** NEO – Ergonomie und Zeichenvielfalt ***"
+echo
+echo
+echo " Ihr System wird untersucht…"
+echo
+
+# check for an existing neo configuration
+if [ -f "${NEO_CONFIG}" ]; then
+ . "${NEO_CONFIG}" || die "Failed to source ${NEO_CONFIG}"
+elif [ -f "${HOME}"/.neorc ]; then
+ . "${HOME}"/.neorc || die "Failed to source ${HOME}/.neorc"
+elif [ -f /etc/neo.conf ]; then
+ . /etc/neo.conf || die "Failed to source /etc/neo.conf"
+else
+
+# no configuration file found → install NEO
+ install_options
+ neo_path > $inst_dir/starte_neo
+ echo
+ echo -e "Um NEO nun jetzt zu aktivieren geben Sie bitte »${green}. $inst_dir/starte_neo${normal}« (mit Punkt und Leerzeichen!) ein."
+ echo -e "Danach oder nach dem nächsten Login kann jederzeit mit ${green}asdf${normal} von QWERTZ zu NEO und mit ${green}uiae${normal} von NEO zu QWERTZ gewechselt werden."
+ exit
+fi
+
+
+# configuration file found → delete/deinstall options
+deinstall_options
+exit
+